"""Unit tests for semgrep analyser."""

import unittest
from analyser import highlight


class SemgrepAnalyserTests(unittest.TestCase):
    """Test Class."""

    def test(self):
        """Dummy test."""
        self.assertEqual(1, 1)

    def test_highlight(self):
        """Test highlighting."""
        code = "abcdef"

        self.assertEqual(highlight(code, 0, 1)[:0], code[:0])
        self.assertEqual(
            highlight(code, 3, 4),
            "abc<span class='text-danger'>d</span>ef"
        )
