"""Semgrep json analyser."""

from html import escape
import logging


def highlight(string: str, start: int, end: int) -> str:
    """Add html highlighting to the string between start and end."""
    pre = "<span class='text-danger'>"
    post = "</span>"

    encoded_and_highlighted = "" +\
        f"{escape(string[:start])}" +\
        f"{pre}" +\
        f"{escape(string[start:end])}" +\
        f"{post}" +\
        f"{escape(string[end:])}"

    return encoded_and_highlighted
